if service.click({
{"```html",
"<!DOCTYPE html>",
"<html lang="es">",
"<head>",
"    <meta charset="UTF-8">",
"    <meta name="viewport" content="width=device-width, initial-scale=1.0">",
"    <title>Editor de Texto</title>",
"    <style>",
"        #editor {",
"            display: none;",
"            border: 1px solid #ccc;",
"            padding: 10px;",
"            margin-top: 20px;",
"        }",
"    </style>",
"</head>",
"<body>",
},
{"    <h1>Editor de Texto</h1>",
"    <button id="addTextBtn">Añadir Texto</button>",
"    <div id="editor">",
"        <textarea id="textInput" rows="4" cols="50" placeholder="Escribe tu texto aquí..."></textarea><br>",
"        <button id="okBtn">OK</button>",
"        <button id="closeBtn">Cerrar</button>",
"    </div>",
"    <div id="output"></div>",
},
{"    <script>",
"        const addTextBtn = document.getElementById('addTextBtn');",
"        const editor = document.getElementById('editor');",
"        const textInput = document.getElementById('textInput');",
"        const okBtn = document.getElementById('okBtn');",
"        const closeBtn = document.getElementById('closeBtn');",
"        const output = document.getElementById('output');",
},
{"        addTextBtn.addEventListener('click', () => {",
"            editor.style.display = 'block'; // Muestra el cuadro de edición",
"            textInput.value = ''; // Limpia el cuadro de texto",
"            textInput.focus(); // Enfoca el cuadro de texto",
"        });",
},
{"        okBtn.addEventListener('click', () => {",
"            const text = textInput.value;",
"            if (text) {",
"                output.innerHTML += `<p>${text}</p>`; // Añade el texto al output",
"                editor.style.display = 'none'; // Cierra el cuadro de edición",
"            } else {",
"                alert('Por favor, escribe algo antes de hacer clic en OK.');",
"            }",
"        });",
},
{"        closeBtn.addEventListener('click', () => {",
"            editor.style.display = 'none'; // Cierra el cuadro de edición",
"        });",
"    </script>",
},
{"</body>",
"</html>",
}
})
return true
end

return true